const mongoose = require("mongoose");
const Schema = mongoose.Schema;
const { userSchema } = require('./CommonSchema');

const calendarSchema = Schema(
  {
    userId: {
      type: Schema.Types.ObjectId,
      ref: "User",
      required: true,
    },
    user: userSchema,
    orgId: {
      type: Schema.Types.ObjectId,
      ref: "Organization",
    },
    date: {
      type: Date,
      required: true,
    },
    checkInTime: {
      type: Date,
    },
    checkOutTime: {
      type: Date,
    },
    workingHours: {
      type: Number, // Store working hours for the day in hours
      default: 0,
    },
    status: {
      type: String,
      enum: ["Present", "Absent", "On Leave"],
      default: "Absent",
    },
    leaveType: {
      type: String, // Optional: Specify leave type, if applicable
      enum: ["Sick Leave", "Casual Leave", "Earned Leave", "Other"],
    },
  },
  { timestamps: true }
);

module.exports = mongoose.model("AttendanceSummary", calendarSchema);