const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const clientsSchema = Schema({
    type: {
        type: String,
        required: true
    },
    sugar_client_id: {
        type: String
    },
    name: {
        type: String,
        required: true
    },
    phone:{
        type: String
    },
    displayName: {
        type: String,
    },
    initial: {
        type: String
    },
    uniqueId: {
        type: String
    },
    email: {
        type: String
    },
    logo: {
        type: String
    },
    ledgerName: {
        type: String
    },
    remark: {
        type: String
    },
    organization: {
        _id: {
            type: String
            // type: Schema.Types.ObjectId,
            // ref: 'Organization'
        },
        name: {
            type: String
        },
        email: {
            type: String
        },
        shortName: {
            type: String
        },
        address: {
            type: String
        },
        freeCases: {
            type: String
        },
        gstNo: {
            type: String
        },
        type: {
            type: String
        },
        ownerName: {
            type: String
        },
        ownerLastName: {
            type: String
        },
        ownerFatherName: {
            type: String
        },
        ownerEmail: {
            type: String
        },
        panNo: {
            type: String
        },
        type: {
            type: String
        },
        phone: {
            type: String
        },
        profilePhoto: {
            type: String
        },
        remark: {
            type: String
        },
        subscribedDate: {
            type: String
        },
        theme: {
            type: String
        },
        status: {
            type: Boolean,
            default: true
        },
        isdelete: {
            type: Boolean,
            default: false
        },
        expiryDate: {
            type: Date
        },
        city: {
            type: String
        },
        organization: {
            _id: {
                type: String
            },
            name: {
                type: String
            },
            email: {
                type: String
            },
            gstNo: {
                type: String
            }
        }
    },
    address: {

        street: {
            type: String
        },
        city: {
            type: String
        },
        state: {
            type: String
        },
        postalCode: {
            type: String
        },
        country: {
            type: String
        },
    },
    createdBy: {
        type: Schema.Types.ObjectId,
        ref: 'User'
    },
    updatedBy: {
        type: Schema.Types.ObjectId,
        ref: 'User'
    },
    isdelete: {
        type: Boolean
    },
    status: {
        type: Boolean
    }
}, { timestamps: true });

module.exports = mongoose.model('Clients', clientsSchema);