const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const dynamicDropDownSchema = new Schema({
    name: {
        type: String
    },
    organizationId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization'
    },
    options: [{
        createBy: {
            type: String
        },
        name: {
            type: String
        },
        createdAt: {
            type: String
        },
        value: {
            type: String
        },
        status: {
            type: Boolean
        }
    }]
}, { timestamps: true });


module.exports = mongoose.model('DynamicDropDown', dynamicDropDownSchema);
