const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const leaveSchema = Schema({

    userId: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
    orgId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization',
    },
    approvedBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
    fromDate: {
        type: Date
    },
    toDate: {
        type: Date
    },
    leaveReason: {
        type: String // SICK, GENERAL
    },
    leaveStatus: {
        type: String, //'PENDING', 'APPROVED', 'REJECTED'
        default: "PENDING"
    },
    status: {
        type: Boolean
    }

}, { timestamps: true });


module.exports = mongoose.model('Leave', leaveSchema);