const mongoose = require('mongoose');
const Schema = mongoose.Schema;

const MailTemplate = Schema({
    name: {
        type: String,
        required: true,
        unique: true,
        trim: true
    },
    subject: {
        type: String,
        required: true,
        trim: true
    },
    body: {
        type: String,
        required: true
    },
    isActive: {
        type: Boolean,
        default: true
    },
    variables: {
        type: [String],
        default: []
    },
    status: {
        type: Boolean,
        default: false
    }
}, { timestamps: true });

module.exports = mongoose.model('MailTemplate', MailTemplate);