const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const masterDataSchema = Schema({
    organizationId: {
        type: Schema.Types.ObjectId,
        ref: 'Organization',
    },
    name: {
        type: String
    },
    description: { type: String },
    data: [],
    createdBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
    updatedBy: {
        type: Schema.Types.ObjectId,
        ref: 'User',
    },
    isDeleted: {
        type: Boolean,
        default: false,
    },
    status: {
        type: Boolean,
        default: false
    }
}, { timestamps: true });

module.exports = mongoose.model('MasterData', masterDataSchema);