const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const roleSchema = Schema({
    name: {
        type: String,
        require: true
    },
    status: {
        type: Boolean,
        default: true
    },
    isdelete: {
        type: 'boolean',
        default: false
    },
    taskWorkTypes: [],
    description: {
        type: String
    },
    organization: {
        type: Schema.Types.ObjectId,
        ref: 'Organization'
    },
    permission: {
        type: Object
    },
    permissions: {
        case: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        lead: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        user: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        client: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        branch: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        MIS: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        roles: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        account: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        dropDown: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        organization: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        bill: {
            access: {
                value: Boolean,
                default: false
            },
            create: {
                value: Boolean,
                default: false
            },
            delete: {
                value: Boolean,
                default: false
            },
            edit: {
                value: Boolean,
                default: false
            },
            export: {
                value: Boolean,
                default: false
            },
            import: {
                value: Boolean,
                default: false
            },
            list: {
                value: Boolean,
                default: false
            },
            view: {
                value: Boolean,
                default: false
            }
        },
        zone: {
            access: {
                value: false
            },
            create: {
                value: false
            },
            delete: {
                value: false
            },
            edit: {
                value: false
            },
            export: {
                value: false
            },
            import: {
                value: false
            },
            list: {
                value: false
            },
            view: {
                value: false
            }

        },
        createContact: {
            access: {
                value: false
            },
            create: {
                value: false
            },
            delete: {
                value: false
            },
            edit: {
                value: false
            },
            export: {
                value: false
            },
            import: {
                value: false
            },
            list: {
                value: false
            },
            view: {
                value: false
            }

        }
    }

}, { timestamps: true });

module.exports = mongoose.model('Role', roleSchema);