const { MongoClient, ObjectId } = require('mongodb');
const fs = require('fs');
const CDN = '../CDN/';
var args = process.argv.slice(2);

async function main() {

  const client = new MongoClient("mongodb://192.168.1.99:27017");
  try {
    // Connect to the MongoDB cluster
    let i=0, j=0
    await client.connect();
    const cases = client.db('realvalue').collection("cases");
    const caseLog = client.db('realvalue').collection("caselogs");

    const ce = await caseLog.aggregate([
      {
        '$match': {
          'caseStatus': {$in: ['REPORTGENERATED','DELIVERED','COMPLETED']},
          'createdAt': {
            '$gt': new Date('Thu, 23 Feb 2023 05:21:46 GMT')
          }
        }
      }, {
        '$group': {
          '_id': {
            'caseNumber': '$case.caseNumber',
            'id': '$case._id',
            'outwardN': '$case.outward',
          },
          'caseId': {
            '$addToSet': '$case._id'
          }
        }
      },
      {
        '$sort': { '_id.caseNumber': 1 }
      }
    ]).toArray();

    ce.map((cs, id) => {
      if (fs.existsSync(CDN + 'pdf/' + cs._id.id ))
      {
        i++;
        console.log(cs,",",i);
      }
    })

  } catch (e) {
    console.error(e);
  } finally {
    await client.close();
  }
}

main().catch(console.error);