const express = require('express');
const router = express.Router();
const AttendanceController = require('../Controllers/Attendance.controller');
const isAuth = require('../Middleware/isAuth');
const pagination = require('../Middleware/pagination');

// For list all approval-requests 
router.get('/attendances', isAuth, pagination, AttendanceController.getAll);


// For create new attendance
router.get('/attendances/status', isAuth, AttendanceController.status);
router.post('/attendances/checkin', isAuth, AttendanceController.checkin);
router.post('/attendances/checkout', isAuth, AttendanceController.checkout);
router.get('/attendances/report', isAuth, AttendanceController.report);

// For get one attendance 
router.get('/attendances/:id', isAuth, AttendanceController.get);


module.exports = router;