const express = require('express');
const router = express.Router();
const DocumentListController = require('../Controllers/DocumentList.controller');
const isAuth = require('../Middleware/isAuth');
const isPermission = require('../Middleware/isPermission');
const pagination = require('../Middleware/pagination');
const validation = require('../Middleware/validation');

// For get list of documents 
router.get('/documentList', isAuth, (req, res, next) => { return isPermission(req, res, next, { name: "documentList", value: "list" }) }, pagination, DocumentListController.getAllDocumentList);

// For get only One document
router.get('/documentList/:id', isAuth, (req, res, next) => { return isPermission(req, res, next, { name: "documentList", value: "view" }) }, DocumentListController.getDocumentList);

// For create Document 
router.post('/documentList', isAuth, (req, res, next) => { return isPermission(req, res, next, { name: "documentList", value: "create" }) }, DocumentListController.createDocumentList);

// For update Document 
router.put('/documentList/:id', isAuth, (req, res, next) => { return isPermission(req, res, next, { name: "documentList", value: "edit" }) }, DocumentListController.updateDocumentList);

// router.delete('/documentList/:id', isAuth, isAdmi, DocumentListController.deleteDynamicDropDown);

module.exports = router;

