const express = require('express');
const router = express.Router();
const LocationHistoryController = require('../Controllers/LocationHistory.controller');
const isAuth = require('../Middleware/isAuth');
const validation = require('../Middleware/validation');

router.get('/locationHistory', isAuth, LocationHistoryController.getAllLocationHistory);

router.get('/locationHistory/:id', isAuth, LocationHistoryController.getLocationHistory);

router.post('/locationHistory', isAuth, validation.LocationHistoryValidation, LocationHistoryController.createLocationHistory);

module.exports = router;

