const express = require('express');
const router = express.Router();
const RoleController = require('../Controllers/Role.controller');
const isAuth = require('../Middleware/isAuth');
const isAdmin = require('../Middleware/isAdmin');
const isPermission = require('../Middleware/isPermission');

// For get list of all Roles 
router.get('/Roles', isAuth, isAdmin, (req, res, next) => { return isPermission(req, res, next, { name: "roles", value: "list" }) }, RoleController.getAllRoles);

// For get only one Role
router.get('/Roles/:id', isAuth, isAdmin, (req, res, next) => { return isPermission(req, res, next, { name: "roles", value: "view" }) }, RoleController.getRole);

//For create Role 
router.post('/Roles', isAuth, isAdmin, (req, res, next) => { return isPermission(req, res, next, { name: "roles", value: "create" }) }, RoleController.createRole);

// For update Role 
router.put('/Roles/:id', isAuth, isAdmin, (req, res, next) => { return isPermission(req, res, next, { name: "roles", value: "edit" }) }, RoleController.updateRole);

// For update Exist Role
router.post('/Roles/:id', isAuth, isAdmin, (req, res, next) => { return isPermission(req, res, next, { name: "roles", value: "edit" }) }, RoleController.editRole);

module.exports = router;